"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const city_entity_1 = require("./city.entity");
const country_entity_1 = require("./country.entity");
const district_entity_1 = require("./district.entity");
const restaurant_entity_1 = require("./restaurant.entity");
const ward_entity_1 = require("./ward.entity");
let UserEntity = class UserEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "user_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 3,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "type", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "avatar", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "full_name", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "nick_name", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "identification", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "address", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "lat", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "lng", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => city_entity_1.CityEntity, (city) => city.city_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({
        name: 'city_id',
    }),
    __metadata("design:type", city_entity_1.CityEntity)
], UserEntity.prototype, "city", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "no_of_alo_point", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => district_entity_1.DistrictEntity, (district) => district.district_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({
        name: 'district_id',
    }),
    __metadata("design:type", district_entity_1.DistrictEntity)
], UserEntity.prototype, "district", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => ward_entity_1.WardEntity, (ward) => ward.ward_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({
        name: 'ward_id',
    }),
    __metadata("design:type", ward_entity_1.WardEntity)
], UserEntity.prototype, "ward", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "no_of_follow", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => country_entity_1.CountryEntity, (country) => country.country_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({
        name: 'country_id',
    }),
    __metadata("design:type", country_entity_1.CountryEntity)
], UserEntity.prototype, "country", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "view", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "cover", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "phone", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "gender", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 1,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "status", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'timestamp',
        nullable: true,
    }),
    __metadata("design:type", Date)
], UserEntity.prototype, "birthday", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "first_name", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "last_name", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "no_of_friend", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "description", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "website", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "email", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        array: true,
        default: [],
        nullable: true,
    }),
    __metadata("design:type", Array)
], UserEntity.prototype, "user_interests", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_notify", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_dark_mode", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "view_about", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "view_life_event", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "view_friend", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "view_media", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_request_friend", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_display_name", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_enable_gender", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_enable_birthday", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_enable_phone", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_enable_email", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_enable_address", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_enable_city", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_enable_district", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_enable_ward", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'timestamp',
        nullable: true,
    }),
    __metadata("design:type", Date)
], UserEntity.prototype, "time_seen_notify", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'timestamp',
        default: () => 'CURRENT_TIMESTAMP',
        nullable: true,
    }),
    __metadata("design:type", Date)
], UserEntity.prototype, "last_connect", void 0);
__decorate([
    (0, typeorm_1.OneToOne)(() => restaurant_entity_1.RestaurantEntity, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: 'restaurant_id' }),
    __metadata("design:type", restaurant_entity_1.RestaurantEntity)
], UserEntity.prototype, "restaurant", void 0);
UserEntity = __decorate([
    (0, typeorm_1.Entity)('user')
], UserEntity);
exports.UserEntity = UserEntity;
//# sourceMappingURL=user.entity.js.map