import { BaseEntity, CreateDateColumn, UpdateDateColumn, ValueTransformer } from 'typeorm';
import * as moment from 'moment';

class CustomTimeTransformer implements ValueTransformer {
  to(): any {
    return moment().utcOffset(0).format('YYYY-MM-DD HH:mm:ss.SSS');
  }

  from(value: any): any {
    console.log('🚀 ~ value:', value);
    return value;
  }
}

export abstract class BaseModel extends BaseEntity {
  @UpdateDateColumn({
    type: 'varchar',
    length: 30,
  })
  timestamp: string;

  @CreateDateColumn({
    type: 'varchar',
    length: 30,
  })
  created_at: string;

  @UpdateDateColumn({
    type: 'varchar',
    length: 30,
  })
  updated_at: string;
}
