import { Column, Entity, JoinColumn, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { BaseModel } from './base.entity';
import { UserEntity } from './user.entity';

@Entity('group')
export class GroupEntity extends BaseModel {
  @PrimaryGeneratedColumn('identity', {
    type: 'bigint',
  })
  group_id: string;

  @Column({
    type: 'varchar',
    default: '',
  })
  name: string;

  @Column({
    type: 'simple-json',
    default: {},
  })
  avatar: any;

  @Column({
    type: 'simple-json',
    default: {},
  })
  cover: any;

  @Column({
    type: 'smallint',
    default: 1, //public - private
  })
  permission: number;

  @Column({
    type: 'smallint',
    default: 1, //show - hide
  })
  view: number;

  @Column({
    type: 'smallint',
    default: 1, //lock - active - delete
  })
  status: number;

  @Column({
    type: 'int',
    default: 1,
  })
  no_of_member: number;

  @ManyToOne(() => UserEntity, (user) => user.user_id)
  @JoinColumn({
    name: 'user_id',
  })
  admin: UserEntity;

  @Column({
    type: 'timestamp',
    nullable: true,
  })
  last_activity: Date;

  @Column({
    type: 'smallint',
    default: 1,
  })
  type_confirm_join: number;

  @Column({
    type: 'text',
    default: '',
  })
  description: string;

  //Setting duyệt bài viết của group: 0 - không duyệt được bài viết, 1 - phải duyệt bài viết
  @Column({
    type: 'int',
    default: 0,
  })
  is_confirm_post: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_post: number;
}
